<?php
/*
Template Name: Blog Posts 2 Columns
*/

get_header(); 

global $kiwi_theme_option; 

?>


		<div class="container" itemscope itemtype="http://schema.org/Blog">
			<div class="row" role="main">
		
			<?php if ( $kiwi_theme_option['sidebar-blog-enable'] == '0' ) { ?>
				<div class="col-sm-12 col-md-12 fullwidth">
			<?php } ?>
			
						
		<?php if ( have_posts() ) : ?>
			<div class="template-page">
				
			<?php if ( $kiwi_theme_option['page-pagetitle-enable'] == '1' ) { ?>
				<h3 class="index"><?php wp_title(''); ?></h3>
			<?php } ?>
			
			</div>
			
			<div class="grid-masonry two-columns index-layout category">	
						
			<?php 
				$postcount = $kiwi_theme_option['sidebar-blog-postcount'];
				$wp_query = new WP_Query(); 
				$wp_query->query('posts_per_page='.$postcount.'' . '&paged='.$paged);
				
				while ($wp_query->have_posts()) : $wp_query->the_post(); 
			?>
				
				<?php get_template_part( 'content', get_post_format() ); ?>
				
				<?php endwhile; ?>
			
			</div>	
			
			
			<div class="clear"></div>
				<?php kiwi_content_nav( 'nav-below' ); ?> 

		<?php else : ?>
			<?php get_template_part( 'templates/content', 'none' ); ?>
		<?php endif; ?>

				</div>		

	</div>
</div>

<?php get_footer(); ?>